%define major   3
%define sname   atg
%define libname %mklibname %{sname} %{major}
%define devname %mklibname %{sname} -d

Name:           libatg
Version:        3.0.0
Release:        %mkrel 6
Summary:        A Tiny GUI toolkit for SDL
Group:          System/Libraries
License:        GPLv3+
URL:            https://github.com/ec429/libatg
Source0:        https://github.com/ec429/libatg/archive/lv%{version}.tar.gz
# https://github.com/ec429/libatg/pull/5
Patch0:         0001-Makefile-Support-DESTDIR-and-overriding-LIBDIR.patch
Patch1:         0002-Makefile-Enforce-CC-tag-for-libtool.patch
Patch2:         0003-Makefile-Do-not-run-ldconfig-libtool-does-it-already.patch
Patch3:         libatg-3.0.0-mga-heap-cleanup.patch

BuildRequires:  fonts-ttf-liberation
BuildRequires:  libtool
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_ttf)

%description
A Tiny GUI (atg) is a small, simple GUI library/toolkit for SDL, providing
things like buttons and clickables to allow you to concentrate on your
program logic. atg is loosely based on Spiffy's GUI, though genericised.

#----------------------------------------------------------------------------

%package -n     %{libname}
Summary:        A Tiny GUI toolkit for SDL
Group:          System/Libraries
Requires:       fonts-ttf-liberation

%description -n %{libname}
A Tiny GUI (atg) is a small, simple GUI library/toolkit for SDL, providing
things like buttons and clickables to allow you to concentrate on your
program logic. atg is loosely based on Spiffy's GUI, though genericised.

This package contains the shared libraries.

%files -n       %{libname}
%{_libdir}/lib%{sname}.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development headers for A Tiny GUI
Group:          Development/C
Provides:       %{sname}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{devname}
A Tiny GUI (atg) is a small, simple GUI library/toolkit for SDL, providing
things like buttons and clickables to allow you to concentrate on your
program logic. atg is loosely based on Spiffy's GUI, though genericised.

This package contains the development headers.

%files -n       %{devname}
%{_includedir}/%{sname}*.h
%{_libdir}/lib%{sname}.so

#----------------------------------------------------------------------------

%prep
%autosetup -n %{name}-lv%{version}

%build
%set_build_flags
%make_build \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir}

%install
%make_install \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir}

find %{buildroot} -name "*.la" -delete
find %{buildroot} -name "*.a" -delete


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.0.0-6.mga10
+ Revision: 2213677
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 3.0.0-5.mga9
+ Revision: 1839602
- Mageia 9 Mass Rebuild

* Fri Mar 11 2022 danf <danf> 3.0.0-4.mga9
+ Revision: 1790344
- Add heap-cleanup.patch to fix a bug and gcc 12 build error

* Thu Feb 13 2020 umeabot <umeabot> 3.0.0-3.mga8
+ Revision: 1513935
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 3.0.0-2.mga7
+ Revision: 1298762
- Mageia 7 Mass Rebuild

* Sat Oct 08 2016 akien <akien> 3.0.0-1.mga6
+ Revision: 1059569
- Version 3.0.0, major 3
- Rework and forward our patches upstream

* Mon Jan 04 2016 tv <tv> 2.1.1-3.mga6
+ Revision: 919413
- remove static library

* Tue Oct 20 2015 daviddavid <daviddavid> 2.1.1-2.mga6
+ Revision: 893005
- fix empty debugfiles (permissions of libraries must be 0755 instead of 0644)
  * ensure .so files are executable (0755) for proper -debuginfo extraction

* Sun Oct 26 2014 akien <akien> 2.1.1-1.mga5
+ Revision: 793552
- Version 2.1.1
- Rename to libatg (upstream name)
- Rename atg to libatg (upstream name)

* Wed Oct 15 2014 umeabot <umeabot> 2.0.1-4.mga5
+ Revision: 744902
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.1-3.mga5
+ Revision: 678018
- Mageia 5 Mass Rebuild

* Sun Jul 20 2014 akien <akien> 2.0.1-2.mga5
+ Revision: 654879
- Development lib now requires main lib

* Sun Jul 20 2014 akien <akien> 2.0.1-1.mga5
+ Revision: 654868
- imported package atg

